<div class="container-bag">
    <div class="title">
        <h1>
            <ion-icon name="bag-handle-outline"></ion-icon>
            Carrito de compras</h1>
        <hr>
    </div>

    <div class="container-bag__products" *ngIf="!bagEmpty">
        <div class="product" *ngFor="let product of products">
            <div class="product-image" style="background-image: url({{product.image}});">

            </div>
            <div class="product-detail">
                <h4>{{product.name}}</h4>
                <p>S/ {{product.price}}</p>
            </div>
            <button class="btn btn-close" (click)="removeProduct(product.id);"><ion-icon name="close-outline"></ion-icon></button>
        </div>
    </div>

    <div class="container-bag__detail" *ngIf="!bagEmpty">

        <table>
            <tr>
              <td>Subtotal</td>
              <td>S/ {{total | number : '1.2-2'}}</td>
            </tr>
            <tr>
              <td>Shipping</td>
              <td>$/ 0</td>
            </tr>
            <tr>
              <td>Total</td>
              <td>S/ {{total | number : '1.2-2'}}</td>
            </tr>
        </table>

        <button class="btn btn-pay" (click)="frmPay()">Pagar</button>
    </div>
    
    <div class="container-bag__empty" *ngIf="bagEmpty">
        <h3>Tu carrito esta vacio.</h3>
    </div>
</div>